ReadOnlySetWrapper (JavaFX 17)

Module javafx.base
Package javafx.beans.property

## Class ReadOnlySetWrapper<E>

- java.lang.Object
- - javafx.beans.binding.SetExpression<E>
  - - javafx.beans.property.ReadOnlySetProperty<E>
    - - javafx.beans.property.SetProperty<E>
      - - javafx.beans.property.SetPropertyBase<E>
        - - javafx.beans.property.SimpleSetProperty<E>
          - - javafx.beans.property.ReadOnlySetWrapper<E>

- All Implemented Interfaces:
    `Iterable<E>`, `Collection<E>`, `Set<E>`, `Observable`, `Property<ObservableSet<E>>`, `ReadOnlyProperty<ObservableSet<E>>`, `ObservableObjectValue<ObservableSet<E>>`, `ObservableSetValue<E>`, `ObservableValue<ObservableSet<E>>`, `WritableObjectValue<ObservableSet<E>>`, `WritableSetValue<E>`, `WritableValue<ObservableSet<E>>`, `ObservableSet<E>`

      public class ReadOnlySetWrapper<E>
      extends SimpleSetProperty<E>

  This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.
  Since:
    JavaFX 2.1

- - ### Property Summary

    - ### Properties declared in class javafx.beans.binding.SetExpression

      `empty, size`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadOnlySetWrapper()` | The constructor of `ReadOnlySetWrapper`
    `ReadOnlySetWrapper​(Object bean, String name)` | The constructor of `ReadOnlySetWrapper`
    `ReadOnlySetWrapper​(Object bean, String name, ObservableSet<E> initialValue)` | The constructor of `ReadOnlySetWrapper`
    `ReadOnlySetWrapper​(ObservableSet<E> initialValue)` | The constructor of `ReadOnlySetWrapper`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReadOnlySetProperty<E>` | `getReadOnlyProperty()` | Returns the readonly property, that is synchronized with this `ReadOnlySetWrapper`.

    - ### Methods declared in class javafx.beans.property.SetPropertyBase

      `fireValueChangedEvent, fireValueChangedEvent, invalidated, toString`

    - ### Methods declared in class javafx.beans.property.ReadOnlySetProperty

      `bindContent, bindContentBidirectional, hashCode, unbindContent, unbindContentBidirectional`

    - ### Methods declared in class javafx.beans.binding.SetExpression

      `asString, emptyProperty, getSize, isEqualTo, isNotEqualTo, isNotNull, isNull, setExpression, sizeProperty`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods declared in interface java.lang.Iterable

      `forEach`

    - ### Methods declared in interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableObjectValue

      `get`

    - ### Methods declared in interface javafx.collections.ObservableSet

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods declared in interface javafx.beans.property.Property

      `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

    - ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods declared in interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

    - ### Methods declared in interface javafx.beans.value.WritableObjectValue

      `get, set`

    - ### Methods declared in interface javafx.beans.value.WritableValue

      `getValue, setValue`

- - ### Constructor Detail

    - #### ReadOnlySetWrapper

          public ReadOnlySetWrapper()

      The constructor of `ReadOnlySetWrapper`

    - #### ReadOnlySetWrapper

          public ReadOnlySetWrapper​(ObservableSet<E> initialValue)

      The constructor of `ReadOnlySetWrapper`
      Parameters:
        `initialValue` - the initial value of the wrapped value

    - #### ReadOnlySetWrapper

          public ReadOnlySetWrapper​(Object bean,
                                    String name)

      The constructor of `ReadOnlySetWrapper`
      Parameters:
        `bean` - the bean of this `ReadOnlySetWrapper`
        `name` - the name of this `ReadOnlySetWrapper`

    - #### ReadOnlySetWrapper

          public ReadOnlySetWrapper​(Object bean,
                                    String name,
                                    ObservableSet<E> initialValue)

      The constructor of `ReadOnlySetWrapper`
      Parameters:
        `bean` - the bean of this `ReadOnlySetWrapper`
        `name` - the name of this `ReadOnlySetWrapper`
        `initialValue` - the initial value of the wrapped value

  - ### Method Detail

    - #### getReadOnlyProperty

          public ReadOnlySetProperty<E> getReadOnlyProperty()

      Returns the readonly property, that is synchronized with this `ReadOnlySetWrapper`.
      Returns:
        the readonly property